%global __provides_exclude_from %{_datadir}/doc/.*
%global __requires_exclude_from %{_datadir}/doc/.*

%define major		0
%define api		0.12
%define gi_major	0.12

%define oname		champlain
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}

%define girname		%mklibname %{oname}-gir %{gi_major}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{gi_major}

%define libnamedev	%mklibname -d %{oname}
%define libnamedevgtk	%mklibname -d %{oname}-gtk

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.12.15
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	https://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(memphis-0.2)
BuildRequires:	vala-tools

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#--------------------------------------------------------------------

%package -n %libname
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamegtk}
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libnamegtk}
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%files -n %{libnamegtk}
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+ 
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{libnamedev}
This package contains development files for %{name}.

%files -n %libnamedev
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}
%{_datadir}/gir-1.0/Champlain-%{gi_major}.gir
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_includedir}/%{name}-%{api}

#--------------------------------------------------------------------

%package -n %{libnamedevgtk}
Summary:	Development files for %{name}-gtk
Group:		Development/GNOME and GTK+ 
Provides:	%{oname}-gtk-devel = %{version}-%{release}
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libnamegtk} = %{version}-%{release}
Requires:	%{girnamegtk} = %{version}-%{release}

%description -n %{libnamedevgtk}
This package contains development files for %{name}-gtk.

%files -n %libnamedevgtk
%doc %{_datadir}/gtk-doc/html/%{name}-gtk-%{api}
%{_datadir}/gir-1.0/GtkChamplain-%{gi_major}.gir
%{_libdir}/%{name}-gtk-%{api}.so
%{_libdir}/pkgconfig/%{oname}-gtk-%{api}.pc
%{_includedir}/%{name}-gtk-%{api}

#--------------------------------------------------------------------

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other 
Requires:	%{libnamedev} = %{version}-%{release}
Requires:	%{libnamedevgtk} = %{version}-%{release}
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%files vala
%{_datadir}/vala/vapi/%{oname}-%{api}.vapi
%{_datadir}/vala/vapi/%{oname}-gtk-%{api}.vapi

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GData.

%files -n %{girname}
%{_libdir}/girepository-1.0/Champlain-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{girnamegtk}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{girnamegtk}
GObject Introspection interface description for GData.

%files -n %{girnamegtk}
%{_libdir}/girepository-1.0/GtkChamplain-%{gi_major}.typelib

#--------------------------------------------------------------------

%package demos
Summary:	Demo apps for %{name}
Group:		System/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk-devel = %{version}-%{release}
BuildArch:	noarch

%description demos
This package contains demos for development using %{name}.

%files demos
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py
%doc demos/*.osm

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-debug \
	   --disable-silent-rules \
	   --disable-static \
           --enable-gtk \
	   --enable-gtk-doc \
	   --enable-introspection=yes \
	   --enable-vala=yes \

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

# Remove rpaths.
chrpath --delete %{buildroot}%{_libdir}/%{name}-gtk-*.so.*


%changelog
* Wed Mar 08 2017 ovitters <ovitters> 0.12.15-1.mga6
+ Revision: 1089922
- new version 0.12.15

* Wed Sep 07 2016 ovitters <ovitters> 0.12.14-1.mga6
+ Revision: 1050408
- new version 0.12.14

* Thu Feb 25 2016 ovitters <ovitters> 0.12.13-1.mga6
+ Revision: 979201
- new version 0.12.13

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 02 2015 ovitters <ovitters> 0.12.12-1.mga6
+ Revision: 907768
- new version 0.12.12

* Thu Sep 24 2015 tv <tv> 0.12.11-1.mga6
+ Revision: 882564
- new release

* Tue Jun 30 2015 wally <wally> 0.12.10-3.mga6
+ Revision: 848986
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.12.10-2.mga6
+ Revision: 847526
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 0.12.10-1.mga6
+ Revision: 836477
- new version 0.12.10

* Wed Oct 15 2014 umeabot <umeabot> 0.12.9-3.mga5
+ Revision: 744547
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.12.9-2.mga5
+ Revision: 731173
- rebuild so that it picks typelib() requires

* Fri Sep 19 2014 ovitters <ovitters> 0.12.9-1.mga5
+ Revision: 697399
- new version 0.12.9

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Tue Jul 01 2014 ovitters <ovitters> 0.12.8-1.mga5
+ Revision: 641825
- new version 0.12.8

* Mon Feb 24 2014 tv <tv> 0.12.7-3.mga5
+ Revision: 596129
- rebuild for new cogl

* Mon Feb 24 2014 pterjan <pterjan> 0.12.7-2.mga5
+ Revision: 596104
- Rebuild for new cogl

* Thu Feb 06 2014 ovitters <ovitters> 0.12.7-1.mga5
+ Revision: 584818
- new version 0.12.7

* Thu Feb 06 2014 ovitters <ovitters> 0.12.6-1.mga5
+ Revision: 584129
- new version 0.12.6

* Sat Nov 02 2013 fwang <fwang> 0.12.5-3.mga4
+ Revision: 548920
- correct filter

* Sat Oct 19 2013 umeabot <umeabot> 0.12.5-2.mga4
+ Revision: 534964
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 ovitters <ovitters> 0.12.5-1.mga4
+ Revision: 480583
- new version 0.12.5

* Thu Aug 01 2013 dams <dams> 0.12.4-3.mga4
+ Revision: 462420
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 0.12.4-2.mga4
+ Revision: 454257
- Rebuild for new cogl

* Sat May 25 2013 ovitters <ovitters> 0.12.4-1.mga4
+ Revision: 427392
- new version 0.12.4

* Sat Jan 12 2013 umeabot <umeabot> 0.12.3-3.mga3
+ Revision: 356919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 fwang <fwang> 0.12.3-2.mga3
+ Revision: 300935
- rebuild for new cogl

* Sun Jul 15 2012 wally <wally> 0.12.3-1.mga3
+ Revision: 270943
- new version 0.12.3

* Fri Jun 08 2012 fwang <fwang> 0.12.2-1.mga3
+ Revision: 257410
- new version 0.12.2

* Tue Mar 06 2012 fwang <fwang> 0.12.1-4.mga2
+ Revision: 219638
- rebuild for new cogl

* Thu Feb 23 2012 mitya <mitya> 0.12.1-3.mga2
+ Revision: 213565
- Fix build (see GNOME bug #669378)

  + fwang <fwang>
    - rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 0.12.1-2.mga2
+ Revision: 197228
- rebuild for new cogl

* Tue Dec 20 2011 fwang <fwang> 0.12.1-1.mga2
+ Revision: 184816
- new version 0.12.1

* Thu Nov 24 2011 fwang <fwang> 0.12.0-4.mga2
+ Revision: 171547
- fix requires

* Wed Nov 23 2011 fwang <fwang> 0.12.0-3.mga2
+ Revision: 171159
- more patch
- drop g_thread_init
- rebuild for new clutter

* Mon Sep 19 2011 wally <wally> 0.12.0-2.mga2
+ Revision: 145702
- rebuild for new cogl

* Sun Sep 18 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 144778
- new version 0.12.0

* Sat Sep 03 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 138154
- new version 0.11.0
- new major 0.12
- clean BRs and use pkgconfig style if possible
- add more general provides to -devel pkgs
- fix requires
- enable memphis support
- clean .spec

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-4.mga2
+ Revision: 106039
- Fix requires

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-3.mga2
+ Revision: 105975
- Do not require non existant packages
- remove copy/paste error

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-2.mga2
+ Revision: 105970
- Fix requires in the devel package

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-1.mga2
+ Revision: 105965
- Fix buildrequires
- New version
  Split for git packages
  Split gtk devel package outside of main devel package
  Create a demo subpackage

* Sat Apr 16 2011 pterjan <pterjan> 0.8.3-1.mga1
+ Revision: 86648
- Update to 0.8.3 (0.10.0 wants gtk3)

* Sun Jan 23 2011 pterjan <pterjan> 0.8.1-1.mga1
+ Revision: 35689
- imported package libchamplain


* Tue Jan 18 2011 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 631435
- new version

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 581428
- update to new version 0.8.0

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 579346
- update to new version 0.7.2

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2011.0
+ Revision: 578926
- rebuild for new gobject-introspection

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 574534
- new version
- new api and major
- depend on memphis
- add vala binding
- disable python for now

* Sat Aug 21 2010 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdv2011.0
+ Revision: 571686
- update to new version 0.4.7

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.6-4mdv2011.0
+ Revision: 568276
- enable vala support

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.6-3mdv2011.0
+ Revision: 568188
- rebuild for new libproxy

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.4.6-2mdv2011.0
+ Revision: 563848
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdv2011.0
+ Revision: 550752
- new version
- drop patch

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdv2010.1
+ Revision: 526923
- update to new version 0.4.5

* Fri Feb 12 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-3mdv2010.1
+ Revision: 504651
- rebuild for new clutter
- drop perl binding here

* Wed Feb 03 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-2mdv2010.1
+ Revision: 500454
- add python and perl bindings

* Fri Jan 29 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 497899
- update to new version 0.4.4

* Sat Jan 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 488189
- update to new version 0.4.3

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2010.1
+ Revision: 460929
- new version
- drop patch

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.4.1-1mdv2010.0
+ Revision: 458924
- Release 0.4.1
- replace Patch0 with Fedora version

  + Götz Waschk <waschk@mandriva.org>
    - obsolete old devel package

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 440843
- new version
- new soname

* Fri Sep 04 2009 Götz Waschk <waschk@mandriva.org> 0.3.92-1mdv2010.0
+ Revision: 429873
- update to new version 0.3.92

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 0.3.91-1mdv2010.0
+ Revision: 420323
- update to new version 0.3.91

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 0.3.90-4mdv2010.0
+ Revision: 417723
- fix build with new gobject-introspection
- fix devel provides

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.3.90-2mdv2010.0
+ Revision: 415270
- move typelib to the library packages

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.3.90-1mdv2010.0
+ Revision: 414452
- update build deps
- new version
- new source URL
- enable introspection

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 0.3.6-2mdv2010.0
+ Revision: 410558
- fix devel provides

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2010.0
+ Revision: 408646
- new version
- update deps
- new major
- readd libtool archives

* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.3-1mdv2010.0
+ Revision: 392400
- Fix BuildRequires
- import libchamplain


